Qyra
ReferencePull Requests

List pull requests

List the pull requests that have been created by write-backs for a project

GET/api/v1/projects/{projectUuid}/pull-requests

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Query parameters

NameTypeRequiredDescription
pagenumberNo
pageSizenumberNo

Responses

200 — Success

{
  "results": {
    "pagination": {
      "page": 0,
      "pageSize": 0,
      "totalResults": 0,
      "totalPageCount": 0
    },
    "data": [
      {
        "createdAt": "2024-01-01T00:00:00.000Z",
        "reviewContext": {
          "sourceAgentUuid": "string",
          "sourceProjectUuid": "string",
          "sourceThreadUuid": "string",
          "sourceFindingUuid": "string",
          "primaryRootCause": "semantic_layer",
          "reviewStatus": "triage",
          "reviewTitle": "string",
          "reviewItemFingerprint": "string",
          "reviewItemUuid": "string"
        },
        "aiAgentUuid": "string",
        "aiThreadUuid": "string",
        "summary": "string",
        "prUrl": "string",
        "prNumber": 0,
        "repo": "string",
        "owner": "string",
        "source": "custom_metric",
        "provider": "github",
        "createdByUserUuid": "string",
        "projectUuid": "string",
        "organizationUuid": "string",
        "pullRequestUuid": "string",
        "state": {},
        "title": "string"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}